/* CSS Reset */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.img-float {
    width: 250px;
    height: 250px;
    /* try different values: inherit, left, right */
    float: right;
}

.parent-element {
    background-color: skyblue;
    padding: 10px;
    position: relative;
    height: 50vh;
    
    
}

.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
    /* default value of position for ALL elements */
    /* position: static; */

    /* this follows the normal flow of the document but is affected by the top, left, right
    and bottom properties
     */
    /* position: relative; */

    /* position: absolute; */

    /* position: fixed; */

    position: sticky;
    left: 10px;
    bottom: 10px;
    top: 10px;
}

.child-three {
    background-color: orange;
    padding: 10px;
}

html {
    min-height: 200vh;
}

.container {
    position: relative;
  }
  
  .black-box {
    position: relative;
    z-index: 1;
    border: 2px solid black;
    height: 100px;
    margin: 30px;
  }
  
  .gray-box {
    position: absolute;
    z-index: 3; /* gray box will be above both green and black box */
    background: lightgray;
    height: 60px;  
    width: 70%;
    left: 50px;
    top: 50px;
  }
  
  .green-box {
    position: absolute;
    z-index: 2; /* green box will be above black box */
    background: lightgreen;
    width: 35%;
    left: 270px;
    top: -15px;
    height: 100px;
  }
